apiVersion: releases.vmsp.vmware.com/v1alpha1
kind: Schema
metadata:
  labels:
    packages.vcf.vmware.com/packaging: bundle
  name: configuration-salt-raas-9.1.0.0100.25434834
  namespace: salt-raas
spec:
  context:
    name: salt-raas
    type: configuration
    version: 9.1.0.0100.25434834
  schema:
    openAPIV3Schema:
      description: Configuration schema for the salt-raas-9.1.0.0100.25434834 package
      properties:
        values:
          properties:
            highAvailability:
              properties:
                enabled:
                  description: Enable HA mode for RaaS components
                  type: boolean
              type: object
            size:
              description: Deployment size profile for salt-raas (small, medium, large)
              enum:
              - small
              - medium
              - large
              type: string
            storage:
              properties:
                volumeGroups:
                  properties:
                    pgdataPgdatabase:
                      properties:
                        capacity:
                          description: Database Volume Size
                          type: string
                      type: object
                  type: object
              type: object
          type: object
      type: object
